%define name	mono
%define version 2.10.2
%define subrel 1
%define release %mkrel 4

%define major 0
%define major1 1
%define libname %mklibname %{name} %{major}
%define libnamellvm %mklibname %{name}llvm %{major}
%define libname1 %mklibname %{name} 2.0 %{major1}
%define libnamedev %mklibname -d %{name}

%define bootstrap 0
%{?_with_bootstrap: %{expand: %%global bootstrap 1}}
%define monodir %_prefix/lib/mono

%define llvm no
%define sgen yes

%ifnarch %ix86 x86_64
%define llvm no
%define sgen no
%endif

Summary:	Mono Runtime
Name:		%name
Version:	%version
Release:	%release
License:	GPLv2 and LGPLv2+ and MIT
Group:		Development/Other
Source0:	http://www.go-mono.com/sources/%name/%name-%version.tar.bz2
# This key was generated by Götz Waschk <waschk@mandriva.org> on Oct 14, 2010
# by running the following command:
# sn -k mono.snk
# You should not regenerate this unless you have a really, really, really good reason.
Source1: mono.snk
#gw add some major numbers to the dll map to not depend on -devel packages
Patch0:		mono-dllmap.patch
# (fc) 1.2.3.1-4mdv disable using /proc/self/exe to detect root prefix, it breaks under unionfs
Patch1:		mono-2.6-selfexe.patch
Patch4: mono-wapi_glop.patch
Patch5: mono-web-xss-CVE-2012-3382.patch
URL:		http://www.go-mono.com/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	bison
BuildRequires:	zlib-devel
%if %mdvver >= 201010
BuildRequires:  oprofile-devel
%endif	
%if %llvm == yes
#gw mono 2.8 does not build with our llvm 2.7
BuildRequires: llvm > 2.7
Recommends: %libnamellvm = %version-%release
%endif
Requires:	%libname1 = %version
Requires:	%libname = %version
Requires:	%name-2.0 = %version-%release
Requires:	%name-4.0 = %version-%release
# gw requires by System.Drawing
Requires: 	libgdiplus
# Since mono 0.91 (mdk 10.0) we can rely on included config
Obsoletes:	mono-config
Provides:	mono-config
Provides:	libmono-runtime
Obsoletes:      libmono-runtime
%if ! %bootstrap
#gw needed for mono-find-requires which needs monodis and libmono.so
BuildRequires: mono-devel
%endif

%description
Mono is an implementation of the ECMA Common Language Infrastructure,
it contains both a just-in-time compiler for maximum performance, and
an interpeter.  It can also be used to run programs from the .NET
Framework.

This package contains the core of the Mono runtime including its
Virtual Machine, Just-in-time compiler, C# compiler, security tools
and libraries (corlib, XML, System.Security, System.Drawing, ZipLib,
I18N, Cairo and Mono.*).

%package 2.0
Summary:	2.0 API for mono
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}
Conflicts:	mono < 2.10.2-2

%description 2.0
Mono is an implementation of the ECMA Common Language Infrastructure,
it contains both a just-in-time compiler for maximum performance, and
an interpeter.  It can also be used to run programs from the .NET
Framework.

This package contains 2.0 API for mono.

%package 4.0
Summary:	4.0 API for mono
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}
Conflicts:	mono < 2.10.2-2

%description 4.0
Mono is an implementation of the ECMA Common Language Infrastructure,
it contains both a just-in-time compiler for maximum performance, and
an interpeter.  It can also be used to run programs from the .NET
Framework.

This package contains 4.0 API for mono.

%package compat
Summary:	Compatible API for mono
Group:		Development/Other
Requires:	%{name} = %{version}
# gw this is for some binary-only packages, the versions are retargetted
# by the mono runtime
Provides:	mono(Commons.Xml.Relaxng) = 1.0.5000.0
Provides:	mono(CustomMarshalers) = 1.0.5000.0
Provides:	mono(I18N) = 1.0.5000.0
Provides:	mono(I18N.West) = 1.0.5000.0
Provides:	mono(Mono.Cairo) = 1.0.5000.0
Provides:	mono(Mono.CompilerServices.SymbolWriter) = 1.0.5000.0
Provides:	mono(Mono.Posix) = 1.0.5000.0
Provides:	mono(Mono.Security) = 1.0.5000.0
Provides:	mono(OpenSystem.C) = 1.0.5000.0
Provides:	mono(System) = 1.0.5000.0
Provides:	mono(System.Security) = 1.0.5000.0
Provides:	mono(System.Xml) = 1.0.5000.0
Provides:	mono(mscorlib) = 1.0.5000.0

%description compat
Mono is an implementation of the ECMA Common Language Infrastructure,
it contains both a just-in-time compiler for maximum performance, and
an interpeter.  It can also be used to run programs from the .NET
Framework.

This package contains compatible API for mono.

%package doc
Summary:	Documentation for the Mono runtime
Group:		Development/Other
Requires:	mono
Buildarch:	noarch

%description doc
Mono is an implementation of the ECMA Common Language Infrastructure,
it contains both a just-in-time compiler for maximum performance, and
an interpeter.  It can also be used to run programs from the .NET
Framework.
This package provides documentation for the Mono runtime.

%package -n %libname
Summary:	Libraries for the Mono runtime
Group:		System/Libraries

%description -n %libname
Mono is an implementation of the ECMA Common Language Infrastructure,
it contains both a just-in-time compiler for maximum performance, and
an interpeter.  It can also be used to run programs from the .NET
Framework.
This package provides the versioned libraries for the Mono runtime.

%package -n %libname1
Summary:	Libraries for the Mono runtime
Group:		System/Libraries

%description -n %libname1
Mono is an implementation of the ECMA Common Language Infrastructure,
it contains both a just-in-time compiler for maximum performance, and
an interpeter.  It can also be used to run programs from the .NET
Framework.
This package provides the versioned libraries for the Mono runtime.

%if %llvm == yes
%package -n %libnamellvm
License:        LGPLv2
Summary:	Loadable LLVM libary for mono
Group:          System/Libraries

%description -n %libnamellvm
The Mono Project is an open development initiative that is working to
develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy
cross-platform .NET applications. The project will implement various
technologies that have been submitted to the ECMA for standardization.

Loadable LLVM libary for mono.
%endif

%package -n %libnamedev
Summary:	Tools required to embed the Mono runtime
Group:		Development/Other
Requires:	%libname = %version
Requires:	%libname1 = %version
%if %llvm == yes
Requires:       %libnamellvm = %version-%release
%endif
Requires:	mono = %version
Requires:       mono-data = %version
Requires: 	mono-extras = %version
Requires: 	mono-web = %version
Requires: 	mono-locale-extras = %version
Requires: 	mono-winforms = %version
Requires: 	mono-nunit = %version
Requires: 	monodoc-core = %version
Requires:	mono-wcf = %version
Requires:	mono-winfxcore = %version
Conflicts: 	mono-nunit < %version-%release
Provides:	mono-devel = %version-%release
Provides:	libmono-devel = %version-%release
Obsoletes:  %mklibname -d %{name} 0
Conflicts: update-alternatives < 1.9.0
Provides:       mono(PEAPI) = 1.0.5000.0
Provides:       mono(resgen) = 1.0.5000.0
Provides: mono-bytefx-data-mysql mono-data-firebird mono-data-sybase mono-jscript
Obsoletes: mono-bytefx-data-mysql mono-data-firebird mono-data-sybase mono-jscript

%description -n %libnamedev
Header files and libraries used to embed the Mono runtime in an application.

%package winfxcore
Summary: Mono implementation of core WinFX APIs
Group: Development/Other
Requires: %name-winfxcore-2.0 = %version
Requires: %name-winfxcore-4.0 = %version

%description winfxcore
The Mono Project is an open development initiative that is working to
develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy
cross-platform .NET applications. The project will implement various
technologies that have been submitted to the ECMA for standardization.

Mono implementation of core WinFX APIs

%package winfxcore-2.0
Summary: Mono implementation of core WinFX APIs 2.0
Group: Development/Other
Requires: mono-2.0 = %version
Conflicts: mono-winfxcore < 2.10.2-2

%description winfxcore-2.0
The Mono Project is an open development initiative that is working to
develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy
cross-platform .NET applications. The project will implement various
technologies that have been submitted to the ECMA for standardization.

Mono implementation of core WinFX APIs 2.0

%package winfxcore-4.0
Summary: Mono implementation of core WinFX APIs 4.0
Group: Development/Other
Requires: mono-4.0 = %version
Conflicts: mono-winfxcore < 2.10.2-2

%description winfxcore-4.0
The Mono Project is an open development initiative that is working to
develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy
cross-platform .NET applications. The project will implement various
technologies that have been submitted to the ECMA for standardization.

Mono implementation of core WinFX APIs 4.0

%package web
Summary: ASP.NET, Remoting, and Web Services for Mono
Group:	 	  Development/Other
Requires: mono = %version
Requires: %{name}-web-2.0 = %version
Requires: %{name}-web-4.0 = %version
Requires: %{name}-web-compat = %version

%description web
This package provides the ASP.NET libraries and runtime for
development of web application, web services and remoting support.

%package web-2.0
Summary: ASP.NET 2.0, Remoting, and Web Services for Mono
Group: Development/Other
Requires: mono-2.0 = %version
Conflicts: mono-web < 2.10.2-2

%description web-2.0
This package provides the ASP.NET 4.0 libraries and runtime for
development of web application, web services and remoting support.

%package web-4.0
Summary: ASP.NET 4.0, Remoting, and Web Services for Mono
Group: Development/Other
Requires: mono-4.0 = %version
Conflicts: mono-web < 2.10.2-2

%description web-4.0
This package provides the ASP.NET 4.0 libraries and runtime for
development of web application, web services and remoting support.

%package web-compat
Summary: ASP.NET, Remoting, and Web Services for Mono (Compatible package)
Group: Development/Other
Requires: mono-web = %version
Provides: mono(Mono.Http) = 1.0.5000.0
Provides: mono(System.Runtime.Remoting) = 1.0.5000.0
Provides: mono(System.Runtime.Serialization.Formatters.Soap) = 1.0.5000.0
Provides: mono(System.Web) = 1.0.5000.0
Provides: mono(System.Web.Services) = 1.0.5000.0

%description web-compat
This package provides the ASP.NET compatible requirements for
development of web application, web services and remoting support.

%package data
Summary: Database connectivity for Mono
Group:	 	Development/Other
Requires:	mono = %version
Requires:	%name-data-2.0 = %version
Requires:	%name-data-4.0 = %version
Requires:	%name-data-compat = %version
Obsoletes:	%name-data-oracle < 2.10.2-2
Obsoletes:	%name-data-postgresql < 2.10.2-2
Obsoletes:	%name-data-sqlite < 2.10.2-2
Obsoletes:	%name-ibm-data-db2 < 2.10.2-2

%description data
This package provides a Mono assembly to facilitate data access and
manipulation with databases, LDAP compatible directory servers and/or
XML data exchange. Beyond the ADO.NET, Novell.LDAP and
System.DirectoryServices assemblies, it also includes a command line
sql application as well as the Microsoft SQL Server and ODBC data
providers.

%package data-2.0
Summary: Database connectivity for Mono 2.0 API
Group:		Development/Other
Requires:	mono-2.0 = %version
Conflicts:	mono-data < 2.10.2-2
Conflicts:	%name-data-oracle < 2.10.2-2
Conflicts:	%name-data-postgresql < 2.10.2-2
Conflicts:	%name-data-sqlite < 2.10.2-2
Conflicts:	%name-ibm-data-db2 < 2.10.2-2

%description data-2.0
This package provides a Mono assembly to facilitate data access and
manipulation with databases, LDAP compatible directory servers and/or
XML data exchange under 2.0 API. Beyond the ADO.NET, Novell.LDAP and
System.DirectoryServices assemblies, it also includes a command line
sql application as well as the Microsoft SQL Server and ODBC data
providers.

%package data-4.0
Summary: Database connectivity for Mono
Group:		Development/Other
Requires:	mono-4.0 = %version
Conflicts:	mono-data < 2.10.2-2
Conflicts:	%name-data-oracle < 2.10.2-2
Conflicts:	%name-data-postgresql < 2.10.2-2
Conflicts:	%name-data-sqlite < 2.10.2-2
Conflicts:	%name-ibm-data-db2 < 2.10.2-2

%description data-4.0
This package provides a Mono assembly to facilitate data access and
manipulation with databases, LDAP compatible directory servers and/or
XML data exchange under 4.0 API. Beyond the ADO.NET, Novell.LDAP and
System.DirectoryServices assemblies, it also includes a command line
sql application as well as the Microsoft SQL Server and ODBC data
providers.

%package data-compat
Summary: Database connectivity for Mono (Compatible package)
Group:		Development/Other
Requires:	mono-data = %version
Provides:	mono(Mono.Data.Tds) = 1.0.5000.0
Provides:	mono(Novell.Directory.Ldap) = 1.0.5000.0
Provides:	mono(System.Data) = 1.0.5000.0
Provides:	mono(System.DirectoryServices) = 1.0.5000.0
Provides:	mono(System.EnterpriseServices) = 1.0.5000.0
Provides:	mono(Npgsql) = 1.0.5000.0
Provides:	mono(System.Data.OracleClient) = 1.0.5000.0

%description data-compat
This package provides a Mono assembly to facilitate data access and
manipulation with databases, LDAP compatible directory servers and/or
XML data exchange. Beyond the ADO.NET, Novell.LDAP and
System.DirectoryServices assemblies, it also includes a command line
sql application as well as the Microsoft SQL Server and ODBC data
providers.

%package extras
Summary: Infrastructure for running and building daemons and services
Group:	 	  Development/Other
Requires:	  mono = %version
Provides:       mono(Mono.Messaging) = 1.0.5000.0
Provides:       mono(Mono.Messaging.RabbitMQ) = 1.0.5000.0
Provides:       mono(RabbitMQ.Client) = 1.0.5000.0
Provides:       mono(System.Configuration.Install) = 1.0.5000.0
Provides:       mono(System.Management) = 1.0.5000.0
Provides:       mono(System.Messaging) = 1.0.5000.0
Provides:       mono(System.ServiceProcess) = 1.0.5000.0
Provides:       mono(mono-service) = 1.0.5000.0

%description extras
This package provides the libary and application to run services and
daemons with Mono. It also includes stubs for the following .NET 1.1
and 2.0 assemblies: Microsoft.Vsa, System.Configuration.Install,
System.Management, System.Messaging.

%package extras-2.0
Summary: Infrastructure for running and building daemons and services
Group:		Development/Other
Requires:	mono-2.0 = %version
Conflicts:	%name-extras < 2.10.2-2

%description extras-2.0
This package provides the libary and application to run services and
daemons with Mono 2.0 API.

%package extras-4.0
Summary: Infrastructure for running and building daemons and services
Group:		Development/Other
Requires:	mono-4.0 = %version
Conflicts:	%name-extras < 2.10.2-2

%description extras-4.0
This package provides the libary and application to run services and
daemons with Mono 4.0 API.

%package extras-compat
Summary: Infrastructure for running and building daemons and services
Group:		Development/Other
Requires:	mono-extras = %version

%description extras-compat
This package provides the libary and application to run services and
daemons.

%package winforms
Summary: Windows Forms implementation for Mono
Group:		Development/Other
Requires:	%{name}-winforms-2.0 = %version
Requires:	%{name}-winforms-4.0 = %version

%description winforms
This package provides a fully managed implementation of
System.Windows.Forms, the default graphical toolkit for .NET
applications.

%package winforms-2.0
Summary: Windows Forms implementation for Mono 2.0 API
Group:		Development/Other
Requires:	%{name}-2.0 = %version
Conflicts:	mono-winforms < 2.10.2-2

%description winforms-2.0
This package provides a fully managed implementation of
System.Windows.Forms, the default graphical toolkit for .NET
applications.

%package winforms-4.0
Summary: Windows Forms implementation for Mono 4.0 API
Group:		Development/Other
Requires:	%{name}-4.0 = %version
Conflicts:	mono-winforms < 2.10.2-2

%description winforms-4.0
This package provides a fully managed implementation of
System.Windows.Forms, the default graphical toolkit for .NET
applications.

%package winforms-compat
Summary: Windows Forms implementation for Mono
Group:		Development/Other
Requires:	%{name}-winforms = %version
Provides:       mono(Accessibility) = 1.0.5000.0
Provides:       mono(System.Design) = 1.0.5000.0
Provides:       mono(System.Drawing) = 1.0.5000.0
Provides:       mono(System.Drawing.Design) = 1.0.5000.0
Provides:       mono(System.Windows.Forms) = 1.0.5000.0

%description winforms-compat
This package provides a fully managed implementation of
System.Windows.Forms, the default graphical toolkit for .NET
applications.

%package locale-extras
Summary: Extra locale information for Mono
Group:	       Development/Other
Requires:      mono-locale-extras-2.0 = %version
Requires:      mono-locale-extras-4.0 = %version

%description locale-extras
This package contains assemblies to support I18N applications for
non-latin alphabets.

%package locale-extras-2.0
Summary: Extra locale information for Mono 2.0 API
Group:         Development/Other
Requires:      mono-2.0 = %version
Conflicts:	mono-locale-extras < 2.10.2-2

%description locale-extras-2.0
This package contains assemblies to support I18N applications for
non-latin alphabets.

%package locale-extras-4.0
Summary: Extra locale information for Mono 4.0 API
Group:         Development/Other
Requires:      mono-4.0 = %version
Conflicts:	mono-locale-extras < 2.10.2-2

%description locale-extras-4.0
This package contains assemblies to support I18N applications for
non-latin alphabets.

%package locale-extras-compat
Summary: Extra locale information for Mono
Group:         Development/Other
Requires:      mono-locale-extras = %version
Provides:       mono(I18N.CJK) = 1.0.5000.0
Provides:       mono(I18N.MidEast) = 1.0.5000.0
Provides:       mono(I18N.Other) = 1.0.5000.0
Provides:       mono(I18N.Rare) = 1.0.5000.0

%description locale-extras-compat
This package contains assemblies to support I18N applications for
non-latin alphabets.

%package nunit
Summary:	NUnit Testing Framework
Group:	Development/Other
Requires: %name = %version
Conflicts: %libname-devel < %version-%release
# for biarch:
Conflicts: lib%{name}%{major}-devel < %version-%release

%description nunit
NUnit is a unit-testing framework for all .Net languages.  Initially
ported from JUnit, the current release, version 2.2, is the fourth
major release of this xUnit based unit testing tool for Microsoft
.NET. It is written entirely in C# and has been completely redesigned
to take advantage of many .NET language features, for example custom
attributes and other reflection related capabilities. NUnit brings
xUnit to all .NET languages.

%package -n monodoc-core
Summary:        Monodoc-Documentation tools for C# code
Group:          Development/Other
Provides:       monodoc
Obsoletes:      monodoc

%description -n monodoc-core
Monodoc-core contains documentation tools for C#.

%package wcf
Summary:        Mono implementation of WCF, Windows Communication Foundation
Group:          Development/Other
Requires:	%name-wcf-2.0 = %version
Requires:	%name-wcf-4.0 = %version

%description wcf
The Mono Project is an open development initiative that is working to
develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy
cross-platform .NET applications. The project will implement various
technologies that have been submitted to the ECMA for standardization.

Mono implementation of WCF, Windows Communication Foundation

%package wcf-2.0
Summary:	Mono implementation of WCF, Windows Communication Foundation, API 2.0
Group:		Development/Other
Requires:	%name-2.0 = %version
Conflicts:	%name-wcf < 2.10.2-2

%description wcf-2.0
The Mono Project is an open development initiative that is working to
develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy
cross-platform .NET applications. The project will implement various
technologies that have been submitted to the ECMA for standardization.

Mono implementation of WCF, Windows Communication Foundation

%package wcf-4.0
Summary:	Mono implementation of WCF, Windows Communication Foundation, API 4.0
Group:		Development/Other
Requires:	%name-4.0 = %version
Conflicts:	%name-wcf < 2.10.2-2

%description wcf-4.0
The Mono Project is an open development initiative that is working to
develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy
cross-platform .NET applications. The project will implement various
technologies that have been submitted to the ECMA for standardization.

Mono implementation of WCF, Windows Communication Foundation

%prep
%setup -q
%patch0 -p1 -b .dllmap
%patch1 -p1 -b .selfexe
%patch4 -p1 -b .glop
%patch5 -p1

%build
#gw else the syslog() call will not build
#https://bugzilla.novell.com/show_bug.cgi?id=590967#c16
%define Werror_cflags %nil
#gw else libmonosgen-2.0.la does not build
%define _disable_ld_no_undefined 1
%configure2_5x --with-preview=yes \
  --with-sgen=%{sgen} \
%if %llvm == yes
 --enable-loadedllvm \
%endif
%if %mdvver >= 201010
 --with-oprofile=%_prefix
%endif

#gw parallel build broken in 2.6
make

%check
#gw unit tests in mcs/class/corlib fail
#make check


%install
rm -rf %{buildroot} installed-docs
%makeinstall_std

mv %buildroot%_datadir/libgc-mono installed-docs

#gw these are all obsolete and shouldn't be packaged:
rm -f %buildroot%_bindir/mbas \
      %buildroot%_mandir/man1/{mint.1,oldmono.1,monostyle.1} 
# these work on Windows only
rm -fr %buildroot%monodir/*/Mono.Security.Win32*
# remove stuff that we don't package
rm -f %buildroot%_bindir/cilc
rm -f %buildroot%_mandir/man1/cilc.1*
rm -f %buildroot%monodir/*/browsercaps-updater.exe*
rm -f %buildroot%monodir/*/culevel.exe*
rm -f %buildroot%monodir/*/cilc.exe*
#gw not in 2.8 as well:
rm -f %buildroot%_bindir/prj2make
rm -f %buildroot%_mandir/man1/prj2make.1*
#gw not usable on Cooker:
#gw it is still needed for the deps
#rm -rf %buildroot/%monodir/*/Mono.WebBrowser*

%find_lang mcs

mkdir -p %{buildroot}%{_sysconfdir}/pki/mono
install -p -m0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/pki/mono/

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%files -f mcs.lang
%defattr(-, root, root)
%dir %{_sysconfdir}/mono
%dir %{_sysconfdir}/mono/2.0/
%dir %{_sysconfdir}/mono/4.0/
%config(noreplace) %{_sysconfdir}/mono/2.0/machine.config
%config(noreplace) %{_sysconfdir}/mono/4.0/machine.config
%config(noreplace) %{_sysconfdir}/mono/2.0/settings.map
%config(noreplace) %{_sysconfdir}/mono/4.0/settings.map
%config  %{_sysconfdir}/mono/config
%_bindir/mono
%_bindir/mono-configuration-crypto
%if %sgen == yes
%_bindir/mono-sgen
%endif
%{_bindir}/mono-sgen-gdb.py
%_bindir/mono-test-install
%_bindir/csharp
%_bindir/csharp2
%_bindir/certmgr
%_bindir/chktrust
%_bindir/dmcs
%_bindir/gacutil
%_bindir/gacutil2
%_bindir/gmcs
%_bindir/mcs
%_bindir/mozroots
%_bindir/peverify
%_bindir/setreg
%_bindir/sn
%_mandir/man1/mono.1*
%_mandir/man1/mono-configuration-crypto.1*
%_mandir/man1/certmgr.1*
%_mandir/man1/chktrust.1*
%_mandir/man1/csharp.1*
%_mandir/man1/gacutil.1*
%_mandir/man1/mcs.1*
%_mandir/man1/mozroots.1*
%_mandir/man1/setreg.1*
%_mandir/man1/sn.1*
%_mandir/man5/mono-config.5*
%dir %monodir
%dir %monodir/gac/
%dir %monodir/3.5/
%monodir/mono-configuration-crypto
%dir %monodir/gac/Mono.C5
%monodir/gac/Mono.C5/1.1.0.0*

%files 2.0
%defattr(-, root, root)
%dir %monodir/2.0
%monodir/2.0/Commons.Xml.Relaxng.dll
%monodir/2.0/CustomMarshalers.dll
%monodir/2.0/I18N.West.dll
%monodir/2.0/I18N.dll
%monodir/2.0/ICSharpCode.SharpZipLib.dll
%monodir/2.0/Microsoft.VisualC.dll
%monodir/2.0/Mono.C5.dll
%monodir/2.0/Mono.CSharp.dll
%monodir/2.0/Mono.Cairo.dll
%monodir/2.0/Mono.CompilerServices.SymbolWriter.dll
%monodir/2.0/Mono.Management.dll
%monodir/2.0/Mono.Posix.dll
%monodir/2.0/Mono.Security.dll
%monodir/2.0/Mono.Simd.dll
%monodir/2.0/Mono.Tasklets.dll
%monodir/2.0/OpenSystem.C.dll
%monodir/2.0/System.Configuration.dll
%monodir/2.0/System.Core.dll
%monodir/2.0/System.Drawing.dll
%monodir/2.0/System.Net.dll
%monodir/2.0/System.Security.dll
%monodir/2.0/System.Xml.Linq.dll
%monodir/2.0/System.Xml.dll
%monodir/2.0/System.dll
%monodir/2.0/cscompmgd.dll
%monodir/2.0/csharp.exe
%monodir/2.0/csharp.exe.mdb
%monodir/2.0/gacutil.exe
%monodir/2.0/gacutil.exe.mdb
%monodir/2.0/gmcs.exe
%monodir/2.0/gmcs.exe.config
%monodir/2.0/gmcs.exe.mdb
%monodir/2.0/mcs.exe
%monodir/2.0/mcs.exe.so
%monodir/2.0/mscorlib.dll
%monodir/2.0/mscorlib.dll.mdb
%monodir/2.0/mscorlib.dll.so
%monodir/gac/Commons.Xml.Relaxng/2.0.0.0*
%monodir/gac/CustomMarshalers/2.0.0.0*
%monodir/gac/I18N.West/2.0.0.0*
%monodir/gac/I18N/2.0.0.0*
%monodir/gac/ICSharpCode.SharpZipLib/2.84.0.0*
%monodir/gac/Microsoft.VisualC/8.0.0.0*
%monodir/gac/Mono.Cairo/2.0.0.0*
%monodir/gac/Mono.CSharp/2.0.0.0*
%monodir/gac/Mono.CompilerServices.SymbolWriter/2.0.0.0*
%monodir/gac/Mono.Management/2.0.0.0*
%monodir/gac/Mono.Posix/2.0.0.0*
%monodir/gac/Mono.Security/2.0.0.0*
%monodir/gac/Mono.Simd/2.0.0.0*
%monodir/gac/Mono.Tasklets/2.0.0.0*
%monodir/gac/OpenSystem.C/2.0.0.0*
%monodir/gac/System.Configuration/2.0.0.0*
%monodir/gac/System.Core/3.5.0.0*
%monodir/gac/System.Drawing/2.0.0.0*
%monodir/gac/System.Net/3.5.0.0*
%monodir/gac/System.Security/2.0.0.0*
%monodir/gac/System.Xml.Linq/3.5.0.0*
%monodir/gac/System.Xml/2.0.0.0*
%monodir/gac/System/2.0.0.0*
%monodir/gac/cscompmgd/8.0.0.0*

%files 4.0
%defattr(-, root, root)
%monodir/4.0/Commons.Xml.Relaxng.dll
%monodir/4.0/CustomMarshalers.dll
%monodir/4.0/I18N.West.dll
%monodir/4.0/I18N.dll
%monodir/4.0/ICSharpCode.SharpZipLib.dll
%monodir/4.0/Microsoft.CSharp.dll
%monodir/4.0/Microsoft.VisualC.dll
%monodir/4.0/Mono.C5.dll
%monodir/4.0/Mono.CSharp.dll
%monodir/4.0/Mono.Cairo.dll
%monodir/4.0/Mono.CompilerServices.SymbolWriter.dll
%monodir/4.0/Mono.Management.dll
%monodir/4.0/Mono.Posix.dll
%monodir/4.0/Mono.Security.dll
%monodir/4.0/Mono.Simd.dll
%monodir/4.0/Mono.Tasklets.dll
%monodir/4.0/OpenSystem.C.dll
%monodir/4.0/System.Configuration.dll
%monodir/4.0/System.Core.dll
%monodir/4.0/System.Drawing.dll
%monodir/4.0/System.Dynamic.dll
%monodir/4.0/System.Net.dll
%monodir/4.0/System.Numerics.dll
%monodir/4.0/System.Security.dll
%monodir/4.0/System.Xml.Linq.dll
%monodir/4.0/System.Xml.dll
%monodir/4.0/System.dll
%monodir/4.0/certmgr.exe
%monodir/4.0/certmgr.exe.mdb
%monodir/4.0/chktrust.exe
%monodir/4.0/chktrust.exe.mdb
%monodir/4.0/cscompmgd.dll
%monodir/4.0/csharp.exe
%monodir/4.0/csharp.exe.mdb
%monodir/4.0/dmcs.exe
%monodir/4.0/dmcs.exe.config
%monodir/4.0/dmcs.exe.mdb
%monodir/4.0/gacutil.exe
%monodir/4.0/gacutil.exe.mdb
%monodir/4.0/mozroots.exe
%monodir/4.0/mozroots.exe.mdb
%monodir/4.0/mscorlib.dll
%monodir/4.0/mscorlib.dll.mdb
%monodir/4.0/setreg.exe
%monodir/4.0/setreg.exe.mdb
%monodir/4.0/sn.exe
%monodir/4.0/sn.exe.mdb
%monodir/gac/Commons.Xml.Relaxng/4.0.0.0*
%monodir/gac/CustomMarshalers/4.0.0.0*
%monodir/gac/I18N.West/4.0.0.0*
%monodir/gac/I18N/4.0.0.0*
%monodir/gac/ICSharpCode.SharpZipLib/4.84.0.0*
%monodir/gac/Microsoft.CSharp/4.0.0.0*
%monodir/gac/Microsoft.VisualC/0.0.0.0*
%monodir/gac/Mono.CSharp/4.0.0.0*
%monodir/gac/Mono.Cairo/4.0.0.0*
%monodir/gac/Mono.CompilerServices.SymbolWriter/4.0.0.0*
%monodir/gac/Mono.Management/4.0.0.0*
%monodir/gac/Mono.Posix/4.0.0.0*
%monodir/gac/Mono.Security/4.0.0.0*
%monodir/gac/Mono.Simd/4.0.0.0*
%monodir/gac/Mono.Tasklets/4.0.0.0*
%monodir/gac/OpenSystem.C/4.0.0.0*
%monodir/gac/System.Configuration/4.0.0.0*
%monodir/gac/System.Core/4.0.0.0*
%monodir/gac/System.Drawing/4.0.0.0*
%monodir/gac/System.Dynamic/4.0.0.0*
%monodir/gac/System.Net/4.0.0.0*
%monodir/gac/System.Numerics/4.0.0.0*
%monodir/gac/System.Security/4.0.0.0*
%monodir/gac/System.Xml.Linq/4.0.0.0*
%monodir/gac/System.Xml/4.0.0.0*
%monodir/gac/System/4.0.0.0*
%monodir/gac/cscompmgd/0.0.0.0*

%files compat
%defattr(-, root, root)
%dir %monodir/compat-2.0/
%monodir/compat-2.0/ICSharpCode.SharpZipLib.dll
%monodir/gac/ICSharpCode.SharpZipLib/2.6.0.0*

%files doc
%defattr(-, root, root)
%doc AUTHORS COPYING.LIB NEWS README
%doc docs/*[^Makefile-Makefile.in]
%doc mcs*/docs/clr-abi.txt mcs*/docs/compiler.txt mcs*/docs/control-flow-analysis.txt
%doc installed-docs/*

%files -n %libname
%defattr(-, root, root)
%{_libdir}/libmono-profiler*.so.%{major}*
%if %sgen == yes
%{_libdir}/libmonosgen-2.0.so.%{major}*
%endif
# gw always check if they've got a valid soname
%_libdir/libMonoPosixHelper.so
%_libdir/libMonoSupportW.so
%_libdir/libikvm-native.so

%files -n %libname1
%defattr(-, root, root)
%{_libdir}/libmono-2.0.so.%{major1}*

%if %llvm == yes
%files -n %libnamellvm
%defattr(-, root, root)
%{_libdir}/libmono-llvm.so.%{major}*
%endif

%files -n %libnamedev
%defattr(-, root, root)
%doc ChangeLog
%{_sysconfdir}/pki/mono/
%dir %_includedir/mono-2.0/
%_includedir/mono-2.0/*
%{_libdir}/*.a
%attr(644,root,root) %{_libdir}/*.la
%_libdir/libmono*.so
%_libdir/pkgconfig/cecil.pc
%_libdir/pkgconfig/dotnet.pc
%_libdir/pkgconfig/dotnet35.pc
%_libdir/pkgconfig/mono-cairo.pc
%_libdir/pkgconfig/mono-lineeditor.pc
%_libdir/pkgconfig/mono-options.pc
%_libdir/pkgconfig/mono.pc
%_libdir/pkgconfig/mono-2.pc
%_libdir/pkgconfig/monosgen-2.pc
%_libdir/pkgconfig/mono.web.pc
%_libdir/pkgconfig/system.web.extensions.design_1.0.pc
%_libdir/pkgconfig/system.web.extensions_1.0.pc
%_libdir/pkgconfig/system.web.mvc.pc
%_libdir/pkgconfig/system.web.mvc2.pc
%_libdir/pkgconfig/mono-nunit.pc
%_libdir/pkgconfig/monodoc.pc
%_libdir/pkgconfig/wcf.pc
%_bindir/al
%_bindir/al2
%_bindir/caspol
%_bindir/ccrewrite
%_bindir/cert2spc
%_bindir/dtd2rng
%_bindir/dtd2xsd
%_bindir/genxs
%_bindir/httpcfg
%_bindir/ilasm
%_bindir/installvst
%_bindir/lc
#
%_bindir/macpack
#
%_bindir/makecert
%_bindir/mkbundle
%_bindir/mono-api-info
%_bindir/mono-cil-strip
%_bindir/mono-find-provides
%_bindir/mono-find-requires
%_bindir/mono-gdb.py
%_bindir/mono-heapviz
%_bindir/mono-shlib-cop
%_bindir/mono-xmltool
%_bindir/monodis
%_bindir/monolinker
%_bindir/monop
%_bindir/monop2
%_bindir/mprof-report
%_bindir/pedump
%_bindir/permview
%_bindir/resgen
%_bindir/resgen2
%_bindir/secutil
%_bindir/sgen
%_bindir/signcode
%_bindir/pdb2mdb
%_bindir/xbuild
%_bindir/monograph
%_mandir/man1/ccrewrite.1*
%_mandir/man1/cert2spc.1*
%_mandir/man1/dtd2xsd.1*
%_mandir/man1/genxs.1*
%_mandir/man1/httpcfg.1*
%_mandir/man1/ilasm*.1*
%_mandir/man1/lc.1*
#
%_mandir/man1/macpack.1*
#
%_mandir/man1/makecert.1*
%_mandir/man1/mkbundle.1*
%_mandir/man1/mono-api-info.1*
%_mandir/man1/mono-cil-strip.1*
%_mandir/man1/mono-shlib-cop.1*
%_mandir/man1/monodis.1*
%_mandir/man1/monolinker.1*
%_mandir/man1/monop.1*
%_mandir/man1/mprof-report.1*
%_mandir/man1/permview.1*
%_mandir/man1/resgen.1*
%_mandir/man1/secutil.1*
%_mandir/man1/sgen.1*
%_mandir/man1/signcode.1*
%_mandir/man1/al.1*
%_mandir/man1/mono-xmltool.1*
%_mandir/man1/pdb2mdb.1*
%_mandir/man1/xbuild.1*
%_prefix/lib/mono-source-libs/
%monodir/4.0/dtd2rng.exe*
%monodir/4.0/dtd2xsd.exe*
%monodir/4.0/httpcfg.exe*
%monodir/4.0/macpack.exe*
%monodir/4.0/makecert.exe*
%monodir/4.0/mono-api-info.exe*
%monodir/4.0/mono-cil-strip.exe*
%monodir/2.0/monolinker.exe
%monodir/2.0/monolinker.exe.mdb
%monodir/4.0/monolinker.exe*
%monodir/4.0/pdb2mdb.exe*
%monodir/4.0/permview.exe*
%monodir/4.0/resgen.exe*
%monodir/4.0/secutil.exe*
%monodir/4.0/sgen.exe*
%monodir/4.0/signcode.exe*
%monodir/4.0/Microsoft.Build.xsd
%monodir/gac/Microsoft.Build.Tasks
%monodir/2.0/Microsoft.Build.Tasks.dll
%monodir/gac/Microsoft.Build.Framework
%monodir/2.0/Microsoft.Build.Framework.dll
%monodir/3.5/Microsoft.Build.Framework.dll
%monodir/4.0/Microsoft.Build.Framework.dll
%monodir/gac/Microsoft.Build.Utilities
%monodir/2.0/Microsoft.Build.Utilities.dll
%monodir/gac/Microsoft.Build.Engine
%monodir/2.0/Microsoft.Build.Engine.dll
%monodir/3.5/Microsoft.Build.Engine.dll
%monodir/4.0/Microsoft.Build.Engine.dll
%monodir/3.5/Microsoft.Build.Tasks.v3.5.dll
%monodir/gac/Microsoft.Build.Tasks.v3.5
%monodir/gac/Microsoft.Build.Tasks.v4.0
%monodir/4.0/Microsoft.Build.Tasks.v4.0.dll
%monodir/gac/Microsoft.Build.Utilities.v3.5
%monodir/3.5/Microsoft.Build.Utilities.v3.5.dll
%monodir/gac/Microsoft.Build.Utilities.v4.0
%monodir/4.0/Microsoft.Build.Utilities.v4.0.dll
%monodir/4.0/Microsoft.CSharp.targets
%monodir/4.0/Microsoft.Common.targets
%monodir/4.0/Microsoft.Common.tasks
%monodir/4.0/Microsoft.VisualBasic.targets
%monodir/gac/PEAPI
%monodir/2.0/PEAPI.dll
%monodir/4.0/PEAPI.dll
%monodir/2.0/Microsoft.Build.xsd
%monodir/2.0/Microsoft.Common.tasks
%monodir/2.0/Microsoft.Common.targets
%monodir/2.0/Microsoft.CSharp.targets
#
%monodir/2.0/Microsoft.VisualBasic.targets
#
%monodir/gac/Mono.Cecil/
%monodir/gac/Mono.Cecil.Mdb/
%monodir/gac/Mono.CodeContracts
%monodir/4.0/Mono.CodeContracts.dll
%monodir/gac/Mono.Debugger*
%monodir/2.0/Mono.Debugger*
%monodir/4.0/Mono.Debugger*
%monodir/2.0/MSBuild
%monodir/3.5/MSBuild
%monodir/4.0/MSBuild
%monodir/2.0/xbuild.rsp
%monodir/2.0/al.exe
%monodir/2.0/al.exe.mdb
%monodir/4.0/al.exe*
%monodir/4.0/caspol.exe*
%monodir/4.0/ccrewrite.exe*
%monodir/4.0/cert2spc.exe*
%monodir/2.0/genxs.exe*
%monodir/4.0/genxs.exe*
%monodir/4.0/ictool.exe*
%monodir/2.0/ilasm.exe
%monodir/2.0/ilasm.exe.mdb
%monodir/4.0/ilasm.exe*
%monodir/4.0/installvst.exe*
%monodir/4.0/lc.exe*
%monodir/2.0/mkbundle.exe*
%monodir/4.0/mkbundle.exe*
%monodir/2.0/monop.exe
%monodir/2.0/monop.exe.mdb
%monodir/4.0/monop.exe*
%monodir/4.0/mono-shlib-cop.exe*
%monodir/4.0/mono-xmltool.exe*
%monodir/2.0/resgen.exe
%monodir/2.0/resgen.exe.mdb
%monodir/2.0/xbuild.exe
%monodir/2.0/xbuild.exe.mdb
%monodir/4.0/xbuild.exe*
%monodir/4.0/xbuild.rsp
%monodir/3.5/*.tasks
%monodir/3.5/*.targets
%monodir/3.5/xbuild.*
%monodir/3.5/Microsoft.Build.xsd
%monodir/xbuild/
%monodir/xbuild-frameworks/
%_datadir/mono-2.0/

%files winfxcore
%defattr(-, root, root)

%files winfxcore-2.0
%defattr(-, root, root)
%monodir/2.0/System.Data.Services.Client.dll
%monodir/gac/System.Data.Services.Client/3.5.0.0*
%monodir/2.0/WindowsBase.dll*
%monodir/gac/WindowsBase/3.0.0.0*

%files winfxcore-4.0
%defattr(-, root, root)
%monodir/4.0/System.Data.Services.Client.dll
%monodir/gac/System.Data.Services.Client/4.0.0.0*
%monodir/4.0/WindowsBase.dll*
%monodir/gac/WindowsBase/4.0.0.0*

%files web
%defattr(-, root, root)
%dir %{_sysconfdir}/mono/mconfig
%config(noreplace) %{_sysconfdir}/mono/browscap.ini
%config(noreplace) %{_sysconfdir}/mono/mconfig/config.xml
%_bindir/disco
%_bindir/mconfig
%_bindir/soapsuds
%_bindir/wsdl
%_bindir/wsdl2
%_bindir/xsd
%_mandir/man1/disco.1*
%_mandir/man1/mconfig.1*
%_mandir/man1/soapsuds.1*
%_mandir/man1/wsdl.1*
%_mandir/man1/xsd.1*

%files web-2.0
%defattr(-, root, root)
%config(noreplace) %{_sysconfdir}/mono/2.0/Browsers/Compat.browser
%config(noreplace) %{_sysconfdir}/mono/2.0/DefaultWsdlHelpGenerator.aspx
%config(noreplace) %{_sysconfdir}/mono/2.0/web.config
%monodir/2.0/Mono.Http.dll
%monodir/2.0/Mono.Web.dll
%monodir/2.0/System.ComponentModel.DataAnnotations.dll
%monodir/2.0/System.Runtime.Remoting.dll
%monodir/2.0/System.Runtime.Serialization.Formatters.Soap.dll
%monodir/2.0/System.Web.Abstractions.dll
%monodir/2.0/System.Web.DynamicData.dll
%monodir/2.0/System.Web.Extensions.Design.dll
%monodir/2.0/System.Web.Extensions.dll
%monodir/2.0/System.Web.Mvc.dll
%monodir/2.0/System.Web.Routing.dll
%monodir/2.0/System.Web.Services.dll
%monodir/2.0/System.Web.dll
%monodir/2.0/wsdl.exe
%monodir/2.0/wsdl.exe.mdb
%monodir/2.0/xsd.exe
%monodir/2.0/xsd.exe.mdb
%monodir/gac/Mono.Http/2.0.0.0*
%monodir/gac/Mono.Web/2.0.0.0*
%monodir/gac/System.ComponentModel.DataAnnotations/3.5.0.0*
%monodir/gac/System.Runtime.Remoting/2.0.0.0*
%monodir/gac/System.Runtime.Serialization.Formatters.Soap/2.0.0.0*
%monodir/gac/System.Web.Abstractions/3.5.0.0*
%monodir/gac/System.Web.DynamicData/3.5.0.0*
%monodir/gac/System.Web.Extensions.Design/3.5.0.0*
%monodir/gac/System.Web.Extensions/3.5.0.0*
%monodir/gac/System.Web.Mvc/2.0.0.0*
%monodir/gac/System.Web.Routing/3.5.0.0*
%monodir/gac/System.Web.Services/2.0.0.0*
%monodir/gac/System.Web/2.0.0.0*

%files web-4.0
%defattr(-, root, root)
%config(noreplace) %{_sysconfdir}/mono/4.0/DefaultWsdlHelpGenerator.aspx
%config(noreplace) %{_sysconfdir}/mono/4.0/web.config
%monodir/4.0/Microsoft.Web.Infrastructure.dll
%monodir/4.0/Mono.Http.dll
%monodir/4.0/Mono.Web.dll
%monodir/4.0/System.ComponentModel.Composition.dll
%monodir/4.0/System.ComponentModel.DataAnnotations.dll
%monodir/4.0/System.Runtime.Remoting.dll
%monodir/4.0/System.Runtime.Serialization.Formatters.Soap.dll
%monodir/4.0/System.Web.Abstractions.dll
%monodir/4.0/System.Web.ApplicationServices.dll
%monodir/4.0/System.Web.DynamicData.dll
%monodir/4.0/System.Web.Extensions.Design.dll
%monodir/4.0/System.Web.Extensions.dll
%monodir/4.0/System.Web.Routing.dll
%monodir/4.0/System.Web.Services.dll
%monodir/4.0/System.Web.dll
%monodir/4.0/disco.exe
%monodir/4.0/disco.exe.mdb
%monodir/4.0/mconfig.exe
%monodir/4.0/mconfig.exe.mdb
%monodir/4.0/soapsuds.exe
%monodir/4.0/soapsuds.exe.mdb
%monodir/4.0/wsdl.exe
%monodir/4.0/wsdl.exe.mdb
%monodir/4.0/xsd.exe
%monodir/4.0/xsd.exe.mdb
%monodir/gac/Microsoft.Web.Infrastructure/1.0.0.0*
%monodir/gac/Mono.Http/4.0.0.0*
%monodir/gac/Mono.Web/4.0.0.0*
%monodir/gac/System.ComponentModel.Composition/4.0.0.0*
%monodir/gac/System.ComponentModel.DataAnnotations/4.0.0.0*
%monodir/gac/System.Runtime.Remoting/4.0.0.0*
%monodir/gac/System.Runtime.Serialization.Formatters.Soap/4.0.0.0*
%monodir/gac/System.Web.Abstractions/4.0.0.0*
%monodir/gac/System.Web.ApplicationServices/4.0.0.0*
%monodir/gac/System.Web.DynamicData/4.0.0.0*
%monodir/gac/System.Web.Extensions.Design/4.0.0.0*
%monodir/gac/System.Web.Extensions/4.0.0.0*
%monodir/gac/System.Web.Routing/4.0.0.0*
%monodir/gac/System.Web.Services/4.0.0.0*
%monodir/gac/System.Web/4.0.0.0*

%files web-compat
%defattr(-, root, root)
%monodir/compat-2.0/System.Web.Extensions.Design.dll
%monodir/compat-2.0/System.Web.Extensions.dll
%monodir/compat-2.0/System.Web.Mvc.dll
%monodir/gac/System.Web.Extensions.Design/1.0.61025.0*
%monodir/gac/System.Web.Extensions/1.0.61025.0*
%monodir/gac/System.Web.Mvc/1.0.0.0*

%files winforms
%defattr(-, root, root)

%files winforms-2.0
%defattr(-, root, root)
%monodir/2.0/Accessibility.dll
%monodir/2.0/Mono.WebBrowser.dll
%monodir/2.0/System.Design.dll
%monodir/2.0/System.Drawing.Design.dll
%monodir/2.0/System.Windows.Forms.dll
%monodir/gac/Accessibility/2.0.0.0*
%monodir/gac/Mono.WebBrowser/2.0.0.0*
%monodir/gac/System.Design/2.0.0.0*
%monodir/gac/System.Drawing.Design/2.0.0.0*
%monodir/gac/System.Windows.Forms/2.0.0.0*

%files winforms-4.0
%defattr(-, root, root)
%monodir/4.0/Accessibility.dll
%monodir/4.0/Mono.WebBrowser.dll
%monodir/4.0/System.Design.dll
%monodir/4.0/System.Drawing.Design.dll
%monodir/4.0/System.Windows.Forms.DataVisualization.dll
%monodir/4.0/System.Windows.Forms.dll
%monodir/gac/Accessibility/4.0.0.0*
%monodir/gac/Mono.WebBrowser/4.0.0.0*
%monodir/gac/System.Design/4.0.0.0*
%monodir/gac/System.Drawing.Design/4.0.0.0*
%monodir/gac/System.Windows.Forms.DataVisualization/4.0.0.0*
%monodir/gac/System.Windows.Forms/4.0.0.0*

%files winforms-compat
%defattr(-, root, root)

%files extras
%defattr(-, root, root)
%_bindir/mono-service
%_bindir/mono-service2
%_mandir/man1/mono-service.1*

%files extras-2.0
%defattr(-, root, root)
%monodir/2.0/Mono.Messaging.RabbitMQ.dll
%monodir/2.0/Mono.Messaging.dll
%monodir/2.0/RabbitMQ.Client.Apigen.exe
%monodir/2.0/RabbitMQ.Client.Apigen.exe.mdb
%monodir/2.0/RabbitMQ.Client.dll
%monodir/2.0/System.Configuration.Install.dll
%monodir/2.0/System.Management.dll
%monodir/2.0/System.Messaging.dll
%monodir/2.0/System.ServiceProcess.dll
%monodir/2.0/mono-service.exe
%monodir/2.0/mono-service.exe.mdb
%monodir/gac/Mono.Messaging.RabbitMQ/2.0.0.0*
%monodir/gac/Mono.Messaging/2.0.0.0*
%monodir/gac/RabbitMQ.Client/2.0.0.0*
%monodir/gac/System.Configuration.Install/2.0.0.0*
%monodir/gac/System.Management/2.0.0.0*
%monodir/gac/System.Messaging/2.0.0.0*
%monodir/gac/System.ServiceProcess/2.0.0.0*
%monodir/gac/mono-service/2.0.0.0*

%files extras-4.0
%defattr(-, root, root)
%monodir/4.0/Mono.Messaging.RabbitMQ.dll
%monodir/4.0/Mono.Messaging.dll
%monodir/4.0/RabbitMQ.Client.Apigen.exe
%monodir/4.0/RabbitMQ.Client.Apigen.exe.mdb
%monodir/4.0/RabbitMQ.Client.dll
%monodir/4.0/System.Configuration.Install.dll
%monodir/4.0/System.Management.dll
%monodir/4.0/System.Messaging.dll
%monodir/4.0/System.Runtime.Caching.dll
%monodir/4.0/System.ServiceProcess.dll
%monodir/4.0/System.Xaml.dll
%monodir/4.0/installutil.exe
%monodir/4.0/installutil.exe.mdb
%monodir/4.0/mono-service.exe
%monodir/4.0/mono-service.exe.mdb
%monodir/gac/Mono.Messaging.RabbitMQ/4.0.0.0*
%monodir/gac/Mono.Messaging/4.0.0.0*
%monodir/gac/RabbitMQ.Client/4.0.0.0*
%monodir/gac/System.Configuration.Install/4.0.0.0*
%monodir/gac/System.Management/4.0.0.0*
%monodir/gac/System.Messaging/4.0.0.0*
%monodir/gac/System.Runtime.Caching/4.0.0.0*
%monodir/gac/System.ServiceProcess/4.0.0.0*
%monodir/gac/System.Xaml/4.0.0.0*
%monodir/gac/mono-service/4.0.0.0*

%files extras-compat
%defattr(-, root, root)

%files data
%defattr(-, root, root)
%_bindir/sqlmetal
%_bindir/sqlsharp
%_mandir/man1/sqlsharp.1*
%monodir/gac/IBM.Data.DB2
%monodir/2.0/IBM.Data.DB2.dll
%monodir/4.0/IBM.Data.DB2.dll

%files data-2.0
%defattr(-, root, root)
%monodir/2.0/Mono.Data.Tds.dll
%monodir/2.0/Novell.Directory.Ldap.dll
%monodir/2.0/System.Data.DataSetExtensions.dll
%monodir/2.0/System.Data.Linq.dll
%monodir/2.0/System.Data.Services.dll
%monodir/2.0/System.Data.dll
%monodir/2.0/System.DirectoryServices.dll
%monodir/2.0/System.EnterpriseServices.dll
%monodir/2.0/System.Runtime.Serialization.dll
%monodir/2.0/System.Transactions.dll
%monodir/2.0/Mono.Data.Sqlite.dll
%monodir/2.0/System.Data.OracleClient.dll
%monodir/2.0/Npgsql.dll
%monodir/gac/Npgsql/2.0.0.0*
%monodir/gac/System.Data.OracleClient/2.0.0.0*
%monodir/gac/Mono.Data.Sqlite/2.0.0.0*
%monodir/gac/Mono.Data.Tds/2.0.0.0*
%monodir/gac/Novell.Directory.Ldap/2.0.0.0*
%monodir/gac/System.Data.DataSetExtensions/3.5.0.0*
%monodir/gac/System.Data.Linq/3.5.0.0*
%monodir/gac/System.Data.Services/3.5.0.0*
%monodir/gac/System.Data/2.0.0.0*
%monodir/gac/System.DirectoryServices/2.0.0.0*
%monodir/gac/System.EnterpriseServices/2.0.0.0*
%monodir/gac/System.Runtime.Serialization/3.0.0.0*
%monodir/gac/System.Transactions/2.0.0.0*

%files data-4.0
%defattr(-, root, root)
%monodir/4.0/Mono.Data.Tds.dll
%monodir/4.0/Novell.Directory.Ldap.dll
%monodir/4.0/System.Data.DataSetExtensions.dll
%monodir/4.0/System.Data.Linq.dll
%monodir/4.0/System.Data.Services.dll
%monodir/4.0/System.Data.dll
%monodir/4.0/System.DirectoryServices.dll
%monodir/4.0/System.EnterpriseServices.dll
%monodir/4.0/System.Runtime.Serialization.dll
%monodir/4.0/System.Transactions.dll
%monodir/4.0/WebMatrix.Data.dll
%monodir/4.0/sqlmetal.exe
%monodir/4.0/sqlmetal.exe.config
%monodir/4.0/sqlmetal.exe.mdb
%monodir/4.0/sqlsharp.exe
%monodir/4.0/sqlsharp.exe.mdb
%monodir/4.0/Mono.Data.Sqlite.dll
%monodir/4.0/System.Data.OracleClient.dll
%monodir/4.0/Npgsql.dll
%monodir/gac/Npgsql/4.0.0.0*
%monodir/gac/System.Data.OracleClient/4.0.0.0*
%monodir/gac/Mono.Data.Sqlite/4.0.0.0*
%monodir/gac/Mono.Data.Tds/4.0.0.0*
%monodir/gac/Novell.Directory.Ldap/4.0.0.0*
%monodir/gac/System.Data.DataSetExtensions/4.0.0.0*
%monodir/gac/System.Data.Linq/4.0.0.0*
%monodir/gac/System.Data.Services/4.0.0.0*
%monodir/gac/System.Data/4.0.0.0*
%monodir/gac/System.DirectoryServices/4.0.0.0*
%monodir/gac/System.EnterpriseServices/4.0.0.0*
%monodir/gac/System.Runtime.Serialization/4.0.0.0*
%monodir/gac/System.Transactions/4.0.0.0*
%monodir/gac/WebMatrix.Data/4.0.0.0*

%files data-compat
%defattr(-, root, root)

%files locale-extras
%defattr(-, root, root)

%files locale-extras-2.0
%defattr(-, root, root)
%monodir/2.0/I18N.CJK.dll
%monodir/2.0/I18N.MidEast.dll
%monodir/2.0/I18N.Other.dll
%monodir/2.0/I18N.Rare.dll
%monodir/gac/I18N.CJK/2.0.0.0*
%monodir/gac/I18N.MidEast/2.0.0.0*
%monodir/gac/I18N.Other/2.0.0.0*
%monodir/gac/I18N.Rare/2.0.0.0*

%files locale-extras-4.0
%defattr(-, root, root)
%monodir/4.0/I18N.CJK.dll
%monodir/4.0/I18N.MidEast.dll
%monodir/4.0/I18N.Other.dll
%monodir/4.0/I18N.Rare.dll
%monodir/gac/I18N.CJK/4.0.0.0*
%monodir/gac/I18N.MidEast/4.0.0.0*
%monodir/gac/I18N.Other/4.0.0.0*
%monodir/gac/I18N.Rare/4.0.0.0*

%files locale-extras-compat
%defattr(-, root, root)

%files nunit
%defattr(-, root, root)
%_bindir/nunit-console
%_bindir/nunit-console2
%monodir/2.0/nunit-console.exe
%monodir/2.0/nunit-console.exe.config
%monodir/2.0/nunit-console.exe.mdb
%monodir/4.0/nunit-console.exe*
%monodir/gac/nunit-console-runner
%monodir/2.0/nunit-console-runner.dll
%monodir/4.0/nunit-console-runner.dll
%monodir/2.0/nunit.core.dll
%monodir/4.0/nunit.core.dll
%monodir/gac/nunit.core.extensions
%monodir/2.0/nunit.core.extensions.dll
%monodir/4.0/nunit.core.extensions.dll
%monodir/gac/nunit.core.interfaces
%monodir/2.0/nunit.core.interfaces.dll
%monodir/4.0/nunit.core.interfaces.dll
%monodir/2.0/nunit.framework.dll
%monodir/4.0/nunit.framework.dll
%monodir/gac/nunit.framework.extensions
%monodir/2.0/nunit.framework.extensions.dll
%monodir/4.0/nunit.framework.extensions.dll
%monodir/2.0/nunit.mocks.dll
%monodir/4.0/nunit.mocks.dll
%monodir/2.0/nunit.util.dll
%monodir/4.0/nunit.util.dll
%monodir/gac/nunit.core
%monodir/gac/nunit.framework
%monodir/gac/nunit.util
%monodir/gac/nunit.mocks

%files -n monodoc-core
%defattr(-, root, root)
%monodir/gac/monodoc
%monodir/monodoc
%monodir/2.0/mdoc.exe*
%monodir/4.0/mod.exe*
%{_bindir}/mdassembler
%{_bindir}/mdoc
%{_bindir}/mdoc-assemble
%{_bindir}/mdoc-export-html
%{_bindir}/mdoc-export-msxdoc
%{_bindir}/mdoc-update
%{_bindir}/mdoc-validate
%{_bindir}/mdvalidater
%{_bindir}/mod
%{_bindir}/monodocer
%{_bindir}/monodocs2html
%{_bindir}/monodocs2slashdoc
%{_prefix}/lib/monodoc
%{_mandir}/man1/mdassembler.1*
%{_mandir}/man1/mdoc-assemble.1*
%{_mandir}/man1/mdoc-export-html.1*
%{_mandir}/man1/mdoc-export-msxdoc.1*
%{_mandir}/man1/mdoc-update.1*
%{_mandir}/man1/mdoc-validate.1*
%{_mandir}/man1/mdoc.1*
%{_mandir}/man1/mdvalidater.1*
%{_mandir}/man1/monodocer.1*
%{_mandir}/man1/monodocs2html.1*
%{_mandir}/man5/mdoc.5*

%files wcf
%defattr(-, root, root)
%_bindir/svcutil

%files wcf-2.0
%defattr(-, root, root)
%monodir/2.0/System.IdentityModel.Selectors.dll
%monodir/2.0/System.IdentityModel.dll
%monodir/2.0/System.ServiceModel.Web.dll
%monodir/2.0/System.ServiceModel.dll
%monodir/gac/System.IdentityModel.Selectors/3.0.0.0*
%monodir/gac/System.IdentityModel/3.0.0.0*
%monodir/gac/System.ServiceModel.Web/3.5.0.0*
%monodir/gac/System.ServiceModel/3.0.0.0*

%files wcf-4.0
%defattr(-, root, root)
%monodir/4.0/System.IdentityModel.Selectors.dll
%monodir/4.0/System.IdentityModel.dll
%monodir/4.0/System.Runtime.DurableInstancing.dll
%monodir/4.0/System.ServiceModel.Discovery.dll
%monodir/4.0/System.ServiceModel.Routing.dll
%monodir/4.0/System.ServiceModel.Web.dll
%monodir/4.0/System.ServiceModel.dll
%monodir/4.0/svcutil.exe
%monodir/4.0/svcutil.exe.mdb
%monodir/gac/System.IdentityModel.Selectors/4.0.0.0*
%monodir/gac/System.IdentityModel/4.0.0.0*
%monodir/gac/System.Runtime.DurableInstancing/4.0.0.0*
%monodir/gac/System.ServiceModel.Discovery/4.0.0.0*
%monodir/gac/System.ServiceModel.Routing/4.0.0.0*
%monodir/gac/System.ServiceModel.Web/4.0.0.0*
%monodir/gac/System.ServiceModel/4.0.0.0*


%changelog
* Fri Aug 17 2012 Oden Eriksson <oeriksson@mandriva.com> 2.10.2-4.1
- P5: security fix CVE-2012-3382 (suse)

* Fri Apr 29 2011 Funda Wang <fwang@mandriva.org> 2.10.2-4mdv2011.0
+ Revision: 660617
- rebuild

* Fri Apr 29 2011 Funda Wang <fwang@mandriva.org> 2.10.2-3
+ Revision: 660578
- fix typo

* Fri Apr 29 2011 Funda Wang <fwang@mandriva.org> 2.10.2-2
+ Revision: 660552
- fix description
- fix description
- update file list
- spilot wcf
- merge all data sub package into one
- split locale-extras
- add empty data-compat
- split winforms
- split extras
- split data
- update file list
- more split
- about to split

* Thu Apr 28 2011 Funda Wang <fwang@mandriva.org> 2.10.2-1
+ Revision: 659785
- update file list
- new version 2.10.2

* Sat Feb 26 2011 Funda Wang <fwang@mandriva.org> 2.10.1-1
+ Revision: 639842
- update to new version 2.10.1

* Thu Feb 17 2011 Götz Waschk <waschk@mandriva.org> 2.10-1
+ Revision: 638137
- new version
- update file list
- drop patch 2

* Thu Jan 06 2011 Götz Waschk <waschk@mandriva.org> 2.8.2-1mdv2011.0
+ Revision: 629058
- update to new version 2.8.2

* Mon Jan 03 2011 Götz Waschk <waschk@mandriva.org> 2.8.1-4mdv2011.0
+ Revision: 628202
- no bootstrap build

* Mon Jan 03 2011 Götz Waschk <waschk@mandriva.org> 2.8.1-3mdv2011.0
+ Revision: 627982
- readd broken Mono.WebBrowser to fix a missing dep
- bootstrap build

* Mon Jan 03 2011 Götz Waschk <waschk@mandriva.org> 2.8.1-2mdv2011.0
+ Revision: 627812
- remove Mono.WebBrowser and gluezilla dep
- obsolete old packages that were removed im mono 2.8 (bug #61748)

* Sat Nov 20 2010 Funda Wang <fwang@mandriva.org> 2.8.1-1mdv2011.0
+ Revision: 599172
- new verrsion 2.8.1

  + Götz Waschk <waschk@mandriva.org>
    - remove prj2make wrapper and man page

* Thu Oct 14 2010 Götz Waschk <waschk@mandriva.org> 2.8-6mdv2011.0
+ Revision: 585614
- add a common strongname key

* Thu Oct 14 2010 Götz Waschk <waschk@mandriva.org> 2.8-5mdv2011.0
+ Revision: 585587
- readd .NET 1.0 provides for .NET binaries and for bootstrapping nant

* Sat Oct 09 2010 Funda Wang <fwang@mandriva.org> 2.8-4mdv2011.0
+ Revision: 584455
- rebuild for real package

* Sat Oct 09 2010 Funda Wang <fwang@mandriva.org> 2.8-3mdv2011.0
+ Revision: 584441
- build bootstrap first
- fix requires

* Sat Oct 09 2010 Funda Wang <fwang@mandriva.org> 2.8-2mdv2011.0
+ Revision: 584422
- mono does not depend on glib now
- mono 2.8 does not provide module 1.x compatibility

* Thu Oct 07 2010 Götz Waschk <waschk@mandriva.org> 2.8-1mdv2011.0
+ Revision: 584040
- new version
- drop patch 5
- drop .NET 1.0 stuff
- remove data-firebird, data-sybase, jscript and jay packages
- enable sgen support
- update file list, add .NET 4.0 files

* Tue Jul 20 2010 Götz Waschk <waschk@mandriva.org> 2.6.7-1mdv2011.0
+ Revision: 555789
- new version
- update file list

* Tue May 25 2010 Rafael da Veiga Cabral <cabral@mandriva.com> 2.6.4-4mdv2010.1
+ Revision: 546058
- increase mkrel in order to build last changes
- back Requires glib on mono.pc as long as the assembly.h
  includes the glib.h otherwise it prevents OpenOffice.org
  to be built.

* Sun May 02 2010 Götz Waschk <waschk@mandriva.org> 2.6.4-3mdv2010.1
+ Revision: 541636
- drop format-string patch and disable Werror

* Sat May 01 2010 Funda Wang <fwang@mandriva.org> 2.6.4-2mdv2010.1
+ Revision: 541435
- link against glib is not need(fixed upstream)

* Wed Apr 28 2010 Funda Wang <fwang@mandriva.org> 2.6.4-1mdv2010.1
+ Revision: 539940
- new version 2.6.4

* Tue Mar 16 2010 Götz Waschk <waschk@mandriva.org> 2.6.3-1mdv2010.1
+ Revision: 521650
- new version
- update file list

* Wed Jan 13 2010 Emmanuel Andry <eandry@mandriva.org> 2.6.1-3mdv2010.1
+ Revision: 491011
- move pkgconfig files to devel package

* Sun Dec 20 2009 Götz Waschk <waschk@mandriva.org> 2.6.1-2mdv2010.1
+ Revision: 480352
- add oprofile support

* Sat Dec 19 2009 Götz Waschk <waschk@mandriva.org> 2.6.1-1mdv2010.1
+ Revision: 480235
- new version 2.6.1

* Wed Dec 16 2009 Götz Waschk <waschk@mandriva.org> 2.6-2mdv2010.1
+ Revision: 479217
- fix devel dep
- fix winfxcore dep

* Tue Dec 15 2009 Götz Waschk <waschk@mandriva.org> 2.6-1mdv2010.1
+ Revision: 478918
- new version
- rediff patches 1,8
- add winfxcore package
- update file list

* Thu Dec 10 2009 Götz Waschk <waschk@mandriva.org> 2.4.3-1mdv2010.1
+ Revision: 475989
- new version
- drop patch 9
- update file list

* Tue Jul 28 2009 Götz Waschk <waschk@mandriva.org> 2.4.2.3-1mdv2010.0
+ Revision: 402815
- update to new version 2.4.2.3

* Tue Jul 21 2009 Götz Waschk <waschk@mandriva.org> 2.4.2.2-1mdv2010.0
+ Revision: 398315
- update to new version 2.4.2.2

* Wed Jul 08 2009 Götz Waschk <waschk@mandriva.org> 2.4.2.1-2mdv2010.0
+ Revision: 393599
- remove Mvc from main package
- update file list

* Wed Jul 08 2009 Funda Wang <fwang@mandriva.org> 2.4.2.1-1mdv2010.0
+ Revision: 393573
- fix file list
- new version 2.4.2.1

* Tue Jun 30 2009 Götz Waschk <waschk@mandriva.org> 2.4.2-1mdv2010.0
+ Revision: 390944
- new version
- rediff patch 8
- fix header file installation

* Fri Apr 24 2009 Götz Waschk <waschk@mandriva.org> 2.4-1mdv2010.0
+ Revision: 368968
- new version
- drop patch 9
- rediff patch 8
- update file list
- drop patch 3

* Thu Jan 15 2009 Götz Waschk <waschk@mandriva.org> 2.2-2mdv2009.1
+ Revision: 329814
- add workaround for build problem
- fix aclocal call
- new version
- drop patches 6,7
- rediff patch 1
- fix format strings
- add monodoc-core and mono-wcf packages
- update file list

* Tue Oct 28 2008 Götz Waschk <waschk@mandriva.org> 2.0.1-2mdv2009.1
+ Revision: 297989
- fix muine build

* Thu Oct 23 2008 Götz Waschk <waschk@mandriva.org> 2.0.1-1mdv2009.1
+ Revision: 296676
- new version

* Sat Oct 11 2008 Götz Waschk <waschk@mandriva.org> 2.0-1mdv2009.1
+ Revision: 291909
- new version
- update patch 5
- patch 6: make resgen work without X
- disable patch 3
- reenable gluezilla dep
- update file list

* Mon Aug 04 2008 Götz Waschk <waschk@mandriva.org> 1.9.1-5mdv2009.0
+ Revision: 263527
- temporarily drop gluezilla dep

* Tue Jun 24 2008 Götz Waschk <waschk@mandriva.org> 1.9.1-4mdv2009.0
+ Revision: 228512
- fix linking and reenable --no-undefined

* Tue Jun 24 2008 Götz Waschk <waschk@mandriva.org> 1.9.1-3mdv2009.0
+ Revision: 228511
- disable --no-undefined to make it build

  + Luiz Fernando Capitulino <lcapitulino@mandriva.com>
    - Fix ARG_MAX compilation error on libc-2.8

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Apr 22 2008 Götz Waschk <waschk@mandriva.org> 1.9.1-2mdv2009.0
+ Revision: 196640
- fix bug with 0 rows returned after a sql timeout

* Tue Apr 22 2008 Götz Waschk <waschk@mandriva.org> 1.9.1-1mdv2009.0
+ Revision: 196613
- new version

* Tue Apr 08 2008 Götz Waschk <waschk@mandriva.org> 1.9-1mdv2009.0
+ Revision: 192395
- new version
- drop patch 3
- update file list

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 1.2.6-4mdv2008.1
+ Revision: 170985
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- fix spacing at top of description

* Wed Jan 23 2008 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.2.6-3mdv2008.1
+ Revision: 157207
- Added patch threads-types to work-around
  http://www.nabble.com/threads-types.h-missing-td14410166.html

* Thu Jan 10 2008 Götz Waschk <waschk@mandriva.org> 1.2.6-2mdv2008.1
+ Revision: 147673
- depend on gluezilla

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 13 2007 Götz Waschk <waschk@mandriva.org> 1.2.6-1mdv2008.1
+ Revision: 119343
- new version
- update file list

* Thu Nov 15 2007 Götz Waschk <waschk@mandriva.org> 1.2.5.2-1mdv2008.1
+ Revision: 108942
- new version
- P2: security fix for CVE-2007-5197

* Tue Oct 09 2007 Götz Waschk <waschk@mandriva.org> 1.2.5.1-1mdv2008.1
+ Revision: 96168
- new version
- rebuild again for missing source package

* Tue Sep 18 2007 Götz Waschk <waschk@mandriva.org> 1.2.5-4mdv2008.0
+ Revision: 89482
- rebuild again without bootstrap flag

* Tue Sep 18 2007 Götz Waschk <waschk@mandriva.org> 1.2.5-3mdv2008.0
+ Revision: 89474
- rebuild as bootstrap package

* Tue Sep 04 2007 Götz Waschk <waschk@mandriva.org> 1.2.5-2mdv2008.0
+ Revision: 79307
- remove alternatives, pnet is dead

* Thu Aug 30 2007 Götz Waschk <waschk@mandriva.org> 1.2.5-1mdv2008.0
+ Revision: 75713
- new version
- new devel name
- update file list
- new version
- update patch 0
- update file list


* Sat Mar 31 2007 Frederic Crozat <fcrozat@mandriva.com> 1.2.3.1-4mdv2007.1
+ Revision: 150064
- Patch1: disable using /proc/self/exe to detect root prefix, it breaks when used under unionfs

* Mon Mar 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.2.3.1-3mdv2007.1
+ Revision: 146585
- fix upgrading

  + Götz Waschk <waschk@mandriva.org>
    - add conflict to ease upgrade
    - readd changelog

* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 1.2.3.1-2mdv2007.1
+ Revision: 141656
- split out mono-nunit

  + Thierry Vignaud <tvignaud@mandriva.com>
    - no need to package big ChangeLog when NEWS is already there

* Thu Feb 15 2007 Götz Waschk <waschk@mandriva.org> 1.2.3.1-1mdv2007.1
+ Revision: 121546
- new version

* Thu Feb 08 2007 Götz Waschk <waschk@mandriva.org> 1.2.3-2mdv2007.1
+ Revision: 117699
- package reorganisation based on the upstream layout
- fix buildrequires
- drop patch1, mono-find-requires was moved to the devel package
- drop some obsolete files
- spec cleanup

* Wed Feb 07 2007 Götz Waschk <waschk@mandriva.org> 1.2.3-1mdv2007.1
+ Revision: 117007
- new version
- rediff the patches
- update file list

* Thu Dec 07 2006 Götz Waschk <waschk@mandriva.org> 1.2.2.1-1mdv2007.1
+ Revision: 91933
- new version

* Tue Dec 05 2006 Götz Waschk <waschk@mandriva.org> 1.2.2-1mdv2007.1
+ Revision: 90778
- new version

* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 1.2.1-1mdv2007.1
+ Revision: 86398
- new version

* Fri Nov 10 2006 Götz Waschk <waschk@mandriva.org> 1.2-1mdv2007.0
+ Revision: 80518
- new version
- update the patch

* Tue Oct 17 2006 Götz Waschk <waschk@mandriva.org> 1.1.18-1mdv2007.1
+ Revision: 65612
- new version
  update the patch
- new version

* Tue Oct 10 2006 Götz Waschk <waschk@mandriva.org> 1.1.17.2-1mdv2006.0
+ Revision: 63204
- Import mono

* Tue Oct 10 2006 Gtz Waschk <waschk@mandriva.org> 1.1.17.2-1mdv2007.1
- fix jay URL
- New version 1.1.17.2

* Wed Sep 13 2006 Gtz Waschk <waschk@mandriva.org> 1.1.17.1-5mdv2007.0
- update patch 0 to fix bug 25550

* Tue Sep 12 2006 Gtz Waschk <waschk@mandriva.org> 1.1.17.1-4mdv2007.0
- resurrect patch 1 that was dropped by accident

* Sat Sep 09 2006 Götz Waschk <waschk@mandriva.org> 1.1.17.1-3mdv2007.0
- Rebuild

* Thu Sep 07 2006 Gtz Waschk <waschk@mandriva.org> 1.1.17.1-2mdv2007.0
- update patch with gdiplus mapping, needed for Windows.Forms

* Sat Sep 02 2006 Gtz Waschk <waschk@mandriva.org> 1.1.17.1-1mdv2007.0
- update file list
- New release 1.1.17.1

* Thu Aug 31 2006 Gtz Waschk <waschk@mandriva.org> 1.1.17-1mdv2007.0
- update file list
- drop patches 1,2
- New release 1.1.17

* Thu Aug 24 2006 Frederic Crozat <fcrozat@mandriva.com> 1.1.16.1-4mdv2007.0
- Patch2 (SVN): fix UnixStream.Close/Flush, speedup Beagle

* Mon Jul 24 2006 Gtz Waschk <waschk@mandriva.org> 1.1.16.1-3mdv2007.0
- fix mono-find-provides

* Sat Jul 15 2006 Gtz Waschk <waschk@mandriva.org> 1.1.16.1-2mdv2007.0
- fix provides

* Fri Jul 14 2006 Götz Waschk <waschk@mandriva.org> 1.1.16.1-1
- New release 1.1.16.1

* Sat Jul 08 2006 Gtz Waschk <waschk@mandriva.org> 1.1.16-1mdv2007.0
- update the patch
- New release 1.1.16

* Sun May 07 2006 Stefan van der Eijk <stefan@eijk.nu> 1.1.15-2mdk
- rebuild for sparc

* Tue Apr 18 2006 Gtz Waschk <waschk@mandriva.org> 1.1.15-1mdk
- source URL
- new version

* Tue Apr 04 2006 Gtz Waschk <waschk@mandriva.org> 1.1.14-1mdk
- update file list
- New release 1.1.14

* Thu Mar 30 2006 Gtz Waschk <waschk@mandriva.org> 1.1.13.6-1mdk
- rediff patch 0
- New release 1.1.13.6

* Sun Mar 05 2006 Götz Waschk <waschk@mandriva.org> 1.1.13.4-1mdk
- New release 1.1.13.4

* Mon Jan 23 2006 Götz Waschk <waschk@mandriva.org> 1.1.13.2-1mdk
- New release 1.1.13.2

* Mon Jan 16 2006 Götz Waschk <waschk@mandriva.org> 1.1.13.1-1mdk
- New release 1.1.13.1

* Wed Jan 11 2006 Gtz Waschk <waschk@mandriva.org> 1.1.13-1mdk
- update file list
- update patch 0
- New release 1.1.13

* Fri Jan 06 2006 Gtz Waschk <waschk@mandriva.org> 1.1.12.1-2mdk
- fix buildrequires

* Tue Dec 27 2005 Gtz Waschk <waschk@mandriva.org> 1.1.12.1-1mdk
- update file list
- New release 1.1.12.1

* Tue Dec 20 2005 Götz Waschk <waschk@mandriva.org> 1.1.12-1mdk
- New release 1.1.12

* Mon Dec 19 2005 Gtz Waschk <waschk@mandriva.org> 1.1.11-1mdk
- update file list
- New release 1.1.11

* Mon Dec 12 2005 Gtz Waschk <waschk@mandriva.org> 1.1.10.1-2mdk
- add some provides to make installation of nant possible

* Mon Dec 12 2005 Götz Waschk <waschk@mandriva.org> 1.1.10.1-1mdk
- New release 1.1.10.1
- use mkrel

* Wed Nov 09 2005 Götz Waschk <waschk@mandriva.org> 1.1.10-1mdk
- New release 1.1.10

* Thu Oct 13 2005 Gtz Waschk <waschk@mandriva.org> 1.1.9.2-1mdk
- drop merged patch 2
- New release 1.1.9.2

* Sat Sep 24 2005 Gtz Waschk <waschk@mandriva.org> 1.1.9.1-1mdk
- update file list
- New release 1.1.9.1
- patch 2 fixes build on x86_64

* Sun Sep 11 2005 Gtz Waschk <waschk@mandriva.org> 1.1.9-1mdk
- update file list
- New release 1.1.9

* Fri Jul 29 2005 Gtz Waschk <waschk@mandriva.org> 1.1.8.3-1mdk
- New release 1.1.8.3

* Thu Jul 07 2005 Gtz Waschk <waschk@mandriva.org> 1.1.8.2-1mdk
- New release 1.1.8.2

* Sat Jun 25 2005 Gtz Waschk <waschk@mandriva.org> 1.1.8.1-5mdk
- rebuild with working monodis

* Sat Jun 25 2005 Gtz Waschk <waschk@mandriva.org> 1.1.8.1-4mdk
- disable parallel build, it breaks monodis and thus mono-find-*

* Sat Jun 25 2005 Gtz Waschk <waschk@mandriva.org> 1.1.8.1-3mdk
- oops, fix patch 1

* Fri Jun 24 2005 Gtz Waschk <waschk@mandriva.org> 1.1.8.1-2mdk
- fix mono-find-* scripts
- move the unversioned dlls to the lib package
- update the patch
- fix sqlite deps

* Wed Jun 22 2005 Gtz Waschk <waschk@mandriva.org> 1.1.8.1-1mdk
- New release 1.1.8.1

* Sat Jun 18 2005 Gtz Waschk <waschk@mandriva.org> 1.1.8-1mdk
- source URL
- update the patch
- New release 1.1.8

* Fri May 13 2005 Gtz Waschk <waschk@mandriva.org> 1.1.7-4mdk
- rebuild

* Fri May 13 2005 Gtz Waschk <waschk@mandriva.org> 1.1.7-3mdk
- rebuild

* Wed May 11 2005 Gtz Waschk <waschk@mandriva.org> 1.1.7-2mdk
- rebuild for new icu

* Tue May 10 2005 Gtz Waschk <waschk@mandriva.org> 1.1.7-1mdk
- disable aot compilation for now
- New release 1.1.7

* Sat Apr 30 2005 Gtz Waschk <waschk@mandriva.org> 1.1.6-6mdk
- rebuild for stupid x86_64

* Fri Apr 29 2005 Gtz Waschk <waschk@mandriva.org> 1.1.6-5mdk
- fix deps
- hardcode the mono prefix to /usr/lib

* Mon Apr 25 2005 Gtz Waschk <waschk@mandriva.org> 1.1.6-4mdk
- aot compile the executables

* Thu Apr 07 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.1.6-3mdk
- add bootstrap option
- readd buildrequires for mono

* Tue Apr 05 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.1.6-2mdk
- reenable parallel build
- fix buildrequires

* Sat Apr 02 2005 Götz Waschk <waschk@linux-mandrake.com> 1.1.6-1mdk
- New release 1.1.6

* Tue Mar 29 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.1.5-1mdk
- New release 1.1.5
- update file list
- drop patch 1
- update patch 0
- fix build
- fix installation
- remove missing dlls
- remove monostyle

* Sat Feb 19 2005 Götz Waschk <waschk@linux-mandrake.com> 1.0.6-1mdk
- New release 1.0.6

* Tue Jan 25 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.0.5-2mdk
- update the config patch

* Thu Dec 09 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.0.5-1mdk
- New release 1.0.5

* Tue Nov 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.4-3mdk
- make it build on 10.0 too
- misc spec file fixes

* Thu Nov 18 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.4-2mdk
- update patch 0 to add libgdiplus support

* Fri Nov 05 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.4-1mdk
- New release 1.0.4

* Thu Sep 23 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.0.2-1mdk
- New release 1.0.2

* Thu Sep 02 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.1-3mdk
- arrgh, fix patch application

* Tue Aug 31 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.1-2mdk
- split out sqlite package

* Fri Aug 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.1-1mdk
- new version

* Thu Jul 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-2mdk
- rebuild for new rpm

* Thu Jul 01 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-1mdk
- new version

* Thu Jun 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.96-1mdk
- fix devel provides
- fix groups
- new version

* Fri Jun 04 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.95-2mdk
- add nptl support
- don't run make in the mcs dir
- fix libgdiplus dependancy
- don't depend on cairo

* Thu Jun 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.95-1mdk
- fix doc section
- fix gdiplus dep
- fix mcs bootstrap
- new version

* Wed May 26 2004 Marcel Pol <mpol@mandrake.org> 0.91-4mdk
- make unversioned symlinks for mcs and mono for %%build
- add monostyle

* Fri May 14 2004 Marcel Pol <mpol@mandrake.org> 0.91-3mdk
- don't conflict but obsolete mono-config

* Wed May 12 2004 Marcel Pol <mpol@mandrake.org> 0.91-2mdk
* Wed May  5 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.91-1mdk
- add /usr/lib/mono to the runtime package
- fix source URL
- New release 0.91

* Sat May 01 2004 Marcel Pol <mpol@mandrake.org> 0.31-2mdk
- make resgen an alternative

* Tue Apr 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.31-1mdk
- spec fixes
- autoconf2.5 call
- fix source location
- new version

